using System;
using WingInterfaceLibrary.Interface;
using WingServerCommon.Interfaces.Cache;

namespace WingSessionModule
{
    internal class TokenEventArgs : EventArgs
    {

        /// <summary>
        /// The token which was removed.
        /// </summary>
        public Token OldItem { get; }

        /// <summary>
        /// The token which was added.
        /// </summary>
        public Token NewItem { get; }        

        public TokenEventArgs(Token oldItem, Token newItem)
        {
            OldItem = oldItem;
            NewItem = newItem;            
        }
    }
}